cancel
Showing results for 
Search instead for 
Did you mean: 

Service & Asset Manager Cloud Build: Availability of 2305

vtschouten97
Explorer
0 Kudos
294

Currently it is only possible to make a cloud build for the Service & Asset Manager in Mobile Services for SDK versions 2110.0.3, 2205.0.3, and 2210.0.7. Will more/different SDK versions be supported in the future? For example, SDK version 2210.0.8 is already available published, but not available in a cloud build. Moreover, some of our customers plan on going to Service & Asset Manager 2305, which would have to be accompanied with SDK 2305.0.0, which is not available at the moment. We appreciate the ability to have control over when an SDK update is pushed to our customers with the Cloud Build feature, but the available SDK versions seem incomplete and not up to date.

Accepted Solutions (1)

Accepted Solutions (1)

bill_froelich
Product and Topic Expert
Product and Topic Expert

Not every combination of SAM/MDK versions will be supported in Cloud Build. Please also keep in mind that releases to Cloud Build will lag behind official releases to the SAP Marketplace as once they are published then the work can begin on the necessary setup to support them in Cloud Build and this process may take some time depending on what other activities are in progress already.

If the MDK version required is available in Cloud Build but the SAM client is not then you can also use the Customized Mobile Development Kit Client build type and provide the complete .mdkproject structure to still create a SAM client before the updated SAP Asset Manager builds are available.

vtschouten97
Explorer
0 Kudos

Thanks for replying. I have managed to make various Cloud Builds now with the Customized Mobile Development Kit Client option, including the 2305. I haven't been able to make SAM clients lower than 2110 work, but luckily we don't see those much anymore.

Answers (0)